Download it now!
Bug 79961 - FORMATTING: Font automatically changes
Summary: FORMATTING: Font automatically changes
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-13 01:01 UTC by Josh Kim
Modified: 2016-05-09 20:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Kim 2014-06-13 01:01:36 UTC
Problem description: 
When mixed fonts are used in a single cell with multiple lines using ctrl+enter and the user complete cell editing by pressing enter, the first line is displayed in default Asian font. The font is reverted to the original setting when the user clicks on the cell with a mouse pointer.

Steps to reproduce:
1. Open a new spreadsheet.
2. Double-click on a cell and type in letters and numbers in multiple lines using ctrl+enter.
3. Apply different fonts in various lines.
4. Hit enter.

Current behavior:
The first line of the cell is displayed in the default Asian font (until clicked with a mouse pointer)

Expected behavior:
The font should never be changed.
              
Operating System: Windows 7
Version: 4.2.4.2 release
Comment 1 m.a.riosv 2014-06-13 02:23:07 UTC

*** This bug has been marked as a duplicate of bug 77537 ***
Comment 2 Kevin Suo 2014-07-24 02:22:06 UTC
This is not a duplicate of bug bug 77537.

I still reproduce this with
Version: 4.2.6.1
Build ID: 5fdddf655fba363e34f755715238d0943a44857e

This bug behaviour happens when you type in chars in a cell and hit ENTER; However, bug 77537 is about EXPORT.
Comment 3 Björn Michaelsen 2014-08-21 12:21:06 UTC
(This is an automated message.)

LibreOffice development currently prioritizes bugs with the so called MAB (most annoying bugs) -- as this bug has not run through that process (including writing a short rationale for this bug being a candidate and other who are watching the tracker bug silently approving that rationale etc.) its priority is set to high. Note this is effectively no change in the urgency assigned to this bug, as we are currently not making a difference between high and highest and severity is untouched.

You can find out more about MABs and how the process works by contacting libreoffice qa on irc:

 http://webchat.freenode.net/?channels=libreoffice-qa

The QA wiki page also gives you hints on how to get in contact with the team (if IRC fails you, your next best choice is the mailing list):

 https://wiki.documentfoundation.org/QA
Comment 4 QA Administrators 2015-09-04 02:49:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.0.5 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-09-03
Comment 5 m.a.riosv 2015-09-06 22:55:16 UTC
Hi @josh, @Kevin, some hint about this bug.
Comment 6 Kevin Suo 2015-09-07 01:25:47 UTC
(In reply to m.a.riosv from comment #5)

Hi Josh Kim, I can not reproduce this bug behaviour with
Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: zh-CN (zh_CN)

So for me its WORKSFORME. Please test by yourself, and if it works, mark this bug as RESOLVED WORKSFORME. Thanks.
Comment 7 Kevin Suo 2015-09-07 01:26:32 UTC
Mark as NEEDINFO - we need the bug reporter's feedback.
Comment 8 QA Administrators 2016-05-09 20:08:08 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09